/*Sean Vonnegut
6/11/2018
Website: Dev Site
Site CSS
*/

header, nav, main, footer { display: block;}

* {
	box-sizing: border-box;
}

body {
	font-family: Verdana, Arial;
	background-color: #000000;
	color: #f0f0f0;
}

header {
	background-image: url(graphics/header_bg.png);
	background-repeat: no-repeat;
	background-position: right;
	background-color: #035299;
	height: 5em;
	padding-top: 0.1em;
	padding-bottom: 1em;
	padding-left: 1em;
	padding-right: 1em;
	border-bottom: 0.1em solid #02294d;
}

nav {
	height: 2em;
	background-color: #035299;
}

nav ul {
	list-style-type: none;
}

nav li {
	display: inline;
}

nav a {
	padding: .5em;
	padding-top: 0em;
	padding-bottom: 0em;
	font-weight: bold;
	text-decoration: none;
	text-align: center;
	white-space: nowrap;
	position: relative;
	bottom: 0.5em;
	right: 1.25em;
}

main {
	background-color: #02294d;
	padding-left: 1em;
	padding-right: 1em;
	padding-top: 0.2em;
}

h3 {
	margin-bottom: -0.5em;
}

h4 {
	margin-bottom: -0.5em;
}

footer {
	padding: 0.5em;
	padding-top: 0.01em;
	height: 2.5em;
	background-color: #035299;
}

nav a:link {color: #f0f0f0;}
nav a:visited {color: #f0f0f0;}
nav a:hover {color: #99ceff; border-left: .1em solid #99ceff; border-right: .1em solid #99ceff;}

main a:link {color: #f0f0f0;}
main a:visited {color: #f0f0f0;}
main a:hover {color: #99ceff;}

footer a:link {color: #f0f0f0;}
footer a:visited {color: #f0f0f0;}
footer a:hover {color: #99ceff;}

.post:hover {background-color: #044888; border-left: .5em double #99ceff;}

.game_background:hover {background-color: #99ceff;}

#older_posts:hover {
	border-left: .5em double #99ceff;
	border-right: .5em double #99ceff;
	border-top: .25em solid #99ceff;
	border-bottom: .25em solid #99ceff;
}

.ital {
	font-style: italic;
}

/*Homepage*/
.post {
	height: 3em;
	background-color: #03396c;
	border-left: .5em double #035299;
	border-right: .1em solid #035299;
	border-top: .1em solid #035299;
	border-bottom: .1em solid #035299;
	margin-bottom: 1.9em;
}

.post_title {
	font-size: 1.3em;
	text-align: left;
	text-decoration: none;
	float: left;
	width: 100%;
	height: 2.2em;
	padding: 0.5em;
	position: relative;
	bottom: 1.6em;
}

.post_date {
	padding-right: 1em;
	white-space: nowrap;
	float: right;
	text-align: right;
	position: relative;
	right: 17em;
	height: 0;
	width: 0;
}

/*Games Page*/
.games_header {
	margin-bottom: 1em;
}

.game {
	width: 100%;
	height: 9em;
	margin-bottom: 1.5em;
}

.game_background {
	width: 100%;
	height: 100%;
	border: .5em double #035299;
}

.game_title {
	white-space: nowrap;
	font-weight: bold;
	font-size: 2em;
	width: 0;
	height: 0;
	margin: 1em;
	margin-left: 0em;
	margin-right: 0em;
	position: relative;
	bottom: 5.25em;
	left: 0.5em; 
}

.game_link {
	text-decoration: none;
}

.game_date_released {
	white-space: nowrap;
	font-size: 1.25em;
	float: right;
	text-align: right;
	width: 0;
	height: 0;
	position: relative;
	bottom: 10.25em;
	right: 13em; 
}

.game_genre {
	white-space: nowrap;
	height: 0;
	width: 0;
	position: relative;
	bottom: 10em;
	left: 1.10em;
}

.game_role {
	white-space: nowrap;
	width: 0;
	height: 0;
	position: relative;
	bottom: 9.5em;	
	left: 1.10em;
}

.game_platform {
	white-space: nowrap;
	height: 0;
	width: 0;
	position: relative;
	bottom: 8em;	
	left: 1.10em;
}

.game_price {
	white-space: nowrap;
	font-size: 1.5em;
	height: 0;
	width: 0;
	text-align: right;
	float: right;
	position: relative;
	bottom: 7.5em;
	right: 3.5em;
}

/*Contact Page*/
.answer {
	padding-left: 2em;
	padding-right: 2em;
	padding-bottom: 1em;
	margin-bottom: 0;
}

.answer_list {
	padding-left: 3.5em;
	padding-right: 2em;
	margin-top: -0.75em;
	line-height: 1.5em;
}

/*Post Page*/
.post_img {
    display: block;
    margin-left: auto;
    margin-right: auto;
	margin-top: 1em;
	border: .1em solid #035299;
}

.note {
	color: #99ceff;
}

/*Game Page*/
.game_head_img {
	border: .5em double #035299;
	border-bottom: 0;
	display: block;
	width: 100%;
}

.game_data_left {
	float: left;
	width: 50%;
	padding-right: 1em;
	margin-bottom: 0.1em;
}

.game_data_right {
	float: right;
	width: 50%;
	margin-bottom: 0.1em;
}

.game_data_bold {
	font-weight: bold;
}

.game_download_link {
	text-align: center;
	margin-top: 0.25em;
	margin-bottom: 0.25em;
	font-size: 1.5em;
}

.game_video {
	position: relative;
	padding-bottom: 56.25%; /* 16:9 */
	padding-top: 25px;
	height: 0;
}

.game_video iframe {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}

.game_image_gallery { 
	list-style-type: none;
	padding: 0;
}

.game_img { 
	display: inline-block;
    width: 338px;
    padding-bottom: 10px;
    margin: 0.5em;
    text-align: center;
    font-style: italic;
	background-color: #035299;
}

.link_button {
	white-space: nowrap;
}

#skip_to_content {
	display: none;
}

#page_heading {
	text-decoration: underline;
	font-weight: bold;
}

#nav_pages {
	text-align: left;
	padding-right: 0;
	float: left;
	width: 50%;
}

#social_links {
	text-align: right;
	padding-left: 0;
	float: right;
	width: 50%;
}

#main_end {
	height: 3.5em;
	margin: -1em;
}

#footer_left {
	text-align: left;
}

#footer_right {
	text-align: right;
	margin-top: -2.25em;
}

#wrapper {
	min-width: 370px;
	max-width: 1480px;
	margin-left: auto;
	margin-right: auto;
	width: 90%;
	border: 0.2em solid #02294d;
}

/*Home Page*/
#status {
	text-align: center;
}

#posts_heading {
	text-decoration: underline;
	margin-bottom: 1em;
}

#older_posts {
	font-size: 1.1em;
	padding: .2em;
	padding-right: 1.5em;
	margin-top: 1em;
	background-color: #03396c;
	border-left: .5em double #035299;
	border-right: .5em double #035299;
	border-top: .25em solid #035299;
	border-bottom: .25em solid #035299;
	position: relative;
	bottom: 0.75em;
}

#older_posts {
	text-decoration: none;
}

/*Archive Page*/
#archive_sec {
	height: 30em;
	line-height: 2em;
}

#sec_left {
	float: left;
	height: 28em;
	width: 50%;
	border-left: .5em double #035299;
	padding-left: 1em;
}

#sec_right {
	float: right;
	height: 28em;
	width: 50%;
	border-left: .5em double #035299;
	padding-left: 1em;
}

/*Contact Page*/
#email_text {
	text-align: center;
}

#email_link {
	text-decoration: none;
}

#faq {
	text-decoration: underline;
}

/*About Page*/
#portrait_img {
	float: right;
	margin-left: 0.5em;
	margin-bottom: 1em;
	border: .1em solid #035299;
}

/*Game Page*/
#game_page_presskit {
	text-align: right;
	position: relative;
	bottom: 2.5em;
	margin-bottom: -1em;
}

#game_data_sec {
	border: .5em double #035299;
	border-top: .25em solid #035299;
	height: 14.5em;
	padding-left: 1em;
	padding-right: 1em;
}

#game_downloads {
	text-align: center;
	margin-top: 0.5em;
	margin-bottom: 0em;
	font-weight: bold;
	font-size: 2em;
}

.mobile_post_img {display: none;}

.desktop_post_img {display: block;}

.mobile_games_img {display: none;}

.desktop_games_img {display: block;}

.mobile_game_img {display: none;}

.desktop_game_img {display: block;}

/*Media Queries*/
@media only screen and (max-width: 1100px) {
	#wrapper {
		width: 100%;
	}
}

@media only screen and (max-width: 950px) {
	header {
		height: 5em;
		background-image: none;
		text-align: center;
	}
	
	nav {
		height: 17.5em;
	}
	
	nav a {
		display: block;
		text-align: center;
		white-space: normal;
		background-color: #02294d;
		width: 100%;
		height: 3.5em;
		padding: 0.3em;
		margin-bottom: 0.75em;
		border: .3em double #03396c;
	}
	
	nav a:hover {color: #99ceff; border: .3em double #03396c; background-color: #0458a6;} 
	
	.link_button:link {
		color: #f0f0f0;
		text-decoration: none;
		padding: .25em;
		line-height: 2em;
		border: .3em double #0458a6;
	}
	
	.link_button:visited {
		color: #f0f0f0;
		padding: .25em;
		line-height: 2em;
		border: .3em double #0458a6;
	}
	
	.link_button:hover {
		color: #99ceff; 
		border: .3em double #03396c; background-color: #0458a6;
	}
	
	#email_link:hover {
		color: #99ceff; 
		border: .3em double #03396c; background-color: #0458a6;
	} 
	
	#nav_pages {
		width: 48%;
	}
	
	#social_links {
		width: 48%;
	}
	
	/*Contact Page*/
	#email_link {
		padding: .5em;
		line-height: 4em;
		margin-top: 1.5em;
		margin-bottom: 1em;
		border: .3em double #0458a6;
	}
	
	/*Homepage*/
	.post {
		height: 5em;
	}

	.post_title {
		height: 3.7em;
	}

	.post_date {
		position: relative;
		top: 2em;
	}
	
	/*Home Page*/
	#older_posts {
		display: block;
		width: 9em;
		padding: 1em;
		padding-right: 1.25em;
		position: relative;
		bottom: 0.05em;
	}
	
	.mobile_post_img {display: block;}

	.desktop_post_img {display: none;}
	
	.mobile_game_img {display: block;}

	.desktop_game_img {display: none;}
}

@media only screen and (max-width: 700px) {
	header {
		height: 7em;
	}
	
	main {
		padding-left: 0.5em;
		padding-right: 0.5em;
	}
	
	footer {
		height: 6em;
	}

	/*Games Page*/
	.game {
		width: 100%;
		height: 15em;
		margin-bottom: 1.5em;
	}
	
	.game p {
		display: inline-block;
		font-weight: bold;
		text-align: center;
		height: 0;
		width: 100%;
		line-height: 0;
		float: none;
		right: 0;
		left: 0;
		bottom: 0;
	}
	
	.game_title {
		text-align: center;
		width: 100%;
		height: auto;
		line-height: 0;
		float: none;
		left: 0em;
		bottom: 7.5em;
		padding: .2em;
	}
	
	.game_date_released {
		font-size: 1.3em;
		top: -12.5em;
	}

	.game_genre {
		top: -16.5em;	
	}

	.game_role {
		top: -16.5em;		
	}

	.game_platform {
		top: -16.5em;	
	}
	
	.game_price {
		font-size: 1.3em;
		top: -13em;
	}
	
	#footer_right {
		text-align: right;
		margin-top: 0;
	}
	
	#footer_right a {
		float: right;
		width: 10em;
		height: 3em;
		padding: 0.5em;
		margin-top: -0.6em;
		text-decoration: none;
		text-align: center;
		background-color: #02294d;
		border: .3em double #03396c;
	}
	
	.mobile_games_img {display: block;}

	.desktop_games_img {display: none;}
}


@media only screen and (max-width: 700px) {
	/*Homepage*/
	#status {
		margin-bottom: 1em;
	}
	
	/*Archive Page*/
	#archive_sec {
		height: auto;
		line-height: 2em;
	}

	#sec_left {
		float: none;
		height: auto;
		width: auto;
		padding-left: 1em;
	}

	#sec_right {
		float: none;
		height: auto;
		width: auto;
		padding-left: 1em;
	}
	
	
	/*Game Page*/
	#game_page_presskit:hover {background-color: #035299;}
	
	#game_page_presskit {
		float: right;
		width: auto;
		height: 3.5em;
		padding: 0.5em;
		margin-top: -3.5em;
		margin-bottom: 1em;
		text-align: center;
		background-color: #02294d;
		border: .3em double #03396c;
		bottom: 0;
	}
	
	#game_page_presskit a {
		text-decoration: none;
	}

	#game_data_sec {
		padding-left: 0.25em;
		padding-right: 1em;
	}
	
	/*About Page*/
	#portrait_img {
		float: none;
		margin-left: 0;
		display: block;
		margin-left: auto;
		margin-right: auto;
	}
}

@media only screen and (max-width: 625px){
	/*Game Page*/
	#game_data_sec {
		height: 17em;
	}
}


@media only screen and (max-width: 490px){
	header {
		text-align: left;
	}
	
	/*Game Page*/
	#game_page_presskit {
		float: left;
		margin-top: -0.6em;
		margin-bottom: 1em;
	}
	
	
	/*About Me*/
	#portrait_img {
		width: 330px;
		height: 309px;
		float: none;
		margin-left: 0;
	}
}